=head1 NAME

Gtk2::TextMark

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::TextMark


=head1 METHODS

=head2 textmark = Gtk2::TextMark-E<gt>B<new> ($name, $left_gravity)

=over

=over

=item * $name (string or undef) 

=item * $left_gravity (boolean) 

=back

Since: gtk+ 2.12

=back

=head2 textbuffer = $mark-E<gt>B<get_buffer> 

=over

=back

=head2 boolean = $mark-E<gt>B<get_deleted> 

=over

=back

=head2 boolean = $mark-E<gt>B<get_left_gravity> 

=over

=back

=head2 string = $mark-E<gt>B<get_name> 

=over

=back

=head2 boolean = $mark-E<gt>B<get_visible> 

=over

=back

=head2 $mark-E<gt>B<set_visible> ($setting)

=over

=over

=item * $setting (boolean) 

=back

=back


=head1 PROPERTIES

=over

=item 'left-gravity' (boolean : readable / writable / construct-only / private)

Whether the mark has left gravity

=item 'name' (string : readable / writable / construct-only / private)

Mark name

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

